#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:		kpublictransport
Version: 23.04.1
Release:	%mkrel %{rel}
Summary:	Library for reading public transport information
Group:		Graphical desktop/KDE
License:	GPLv2+
Url:		https://kde.org/
Source0:	https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:	kf5-rpm-macros

BuildRequires:	cmake(Qt5Quick)
BuildRequires:	cmake(Qt5Test)
BuildRequires:	cmake(Qt5Widgets)

BuildRequires:	cmake(KF5I18n)
BuildRequires:	cmake(KF5NetworkManagerQt)

BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(protobuf)

BuildRequires:	osmctools
Requires:	osmctools

%description
Public transport application for Plasma.

%files
%{_kf5_categoriesdir}/org_kde_kpublictransport.*categories
%{_kf5_categoriesdir}/org_kde_kpublictransport_onboard.*categories
%{_kf5_qmldir}/org/kde/kpublictransport

#-------------------------------------------------------------------------

%define kpublictransport_major 1
%define libkpublictransport %mklibname kpublictransport %{kpublictransport_major}

%package -n %{libkpublictransport}
Summary:	Library for reading public transport information
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}

%description -n %{libkpublictransport}
Library for reading public transport information.

%files -n %{libkpublictransport}
%{_kf5_libdir}/libKPublicTransport.so.%{kpublictransport_major}{,.*}
%{_kf5_libdir}/libKPublicTransport.so.23{,.*}

#-------------------------------------------------------------------------

%define kpublictransportonboard_major 1
%define libkpublictransportonboard %mklibname kpublictransportonboard %{kpublictransportonboard_major}

%package -n %{libkpublictransportonboard}
Summary:	Library for reading public transport information
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}

%description -n %{libkpublictransportonboard}
Library for reading public transport information.

%files -n %{libkpublictransportonboard}
%{_kf5_libdir}/libKPublicTransportOnboard.so.%{kpublictransportonboard_major}{,.*}
%{_kf5_libdir}/libKPublicTransportOnboard.so.23{,.*}

#-------------------------------------------------------------------------

%define develname %mklibname %{name} -d

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/KDE and Qt
Requires:	%{libkpublictransport} = %{version}-%{release}
Requires:	%{libkpublictransportonboard} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{develname}
%{_includedir}/KPublicTransport/
%{_kf5_libdir}/libKPublicTransport.so
%{_kf5_libdir}/libKPublicTransportOnboard.so
%{_kf5_libdir}/cmake/KPublicTransport/

#-------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf5
%cmake_build

%install
%cmake_install


%changelog
* Sat May 27 2023 neoclust <neoclust> 23.04.1-1.mga9
+ Revision: 1958738
- New version 23.04.1

* Thu Mar 02 2023 neoclust <neoclust> 22.12.3-1.mga9
+ Revision: 1946544
- New version 22.12.3

* Tue Feb 14 2023 neoclust <neoclust> 22.12.2-1.mga9
+ Revision: 1941837
- New version 22.12.2

* Thu Dec 15 2022 neoclust <neoclust> 22.12.0-1.mga9
+ Revision: 1922958
- New version 22.12.0

* Sat Nov 26 2022 neoclust <neoclust> 22.11.90-1.mga9
+ Revision: 1911453
- New version 22.11.90

* Thu Nov 10 2022 neoclust <neoclust> 22.08.3-1.mga9
+ Revision: 1905304
- New version 22.08.3

* Sun Sep 11 2022 neoclust <neoclust> 22.08.1-1.mga9
+ Revision: 1886823
- New version 22.08.1

* Wed Aug 31 2022 neoclust <neoclust> 22.08.0-1.mga9
+ Revision: 1882591
- New version 22.08.0

* Sat Jul 30 2022 neoclust <neoclust> 22.04.3-1.mga9
+ Revision: 1873119
- New version 22.04.3

* Tue Apr 26 2022 neoclust <neoclust> 22.04.0-1.mga9
+ Revision: 1854012
- New version 22.04.0

* Sun Apr 17 2022 neoclust <neoclust> 22.03.90-1.mga9
+ Revision: 1850936
- New version 22.03.90

* Mon Apr 04 2022 umeabot <umeabot> 21.12.0-2.mga9
+ Revision: 1843998
- Mageia 9 Mass Rebuild

* Sun Dec 26 2021 neoclust <neoclust> 21.12.0-1.mga9
+ Revision: 1763903
- New version 21.12.0
- New version 21.11.90

* Sat May 15 2021 neoclust <neoclust> 21.04.1-1.mga9
+ Revision: 1724111
- New version 21.04.1

* Sat Apr 24 2021 neoclust <neoclust> 21.04.0-1.mga9
+ Revision: 1718815
- New version 21.04.0

* Thu Mar 04 2021 neoclust <neoclust> 20.12.3-2.mga9
+ Revision: 1698598
- New version 20.12.3

* Sun Feb 28 2021 neoclust <neoclust> 20.12.2-1.mga9
+ Revision: 1694125
- New version 20.12.2

* Mon Dec 14 2020 daviddavid <daviddavid> 20.12.0-2.mga8
+ Revision: 1657124
- add missing dependency on osmctools

* Mon Dec 14 2020 daviddavid <daviddavid> 20.12.0-1.mga8
+ Revision: 1657113
- initial package kpublictransport

